Universal Exporter

This endpoint returns a dictionary of data, corresponding to the requested metrics, products and date range.

Only the Day, Month and Year members of the 'Dates' field should be populated. Ignore any other fields.

For specific values of request fields, please see the API request object generated on the Universal Exporter page.


Using the LCPDelta Python Package

import lcp_delta.flextrack as flextrack
from datetime import datetime as dt

flextrack_api_helper = flextrack.APIHelper(username, public_api_key)

response_dataframe = flextrack_api_helper.get_exporter_data(
	date_from=dt(2022, 11, 1),
	date_to=dt(2023, 10, 31),
	countries=['Austria'],
	products=["RegelleistungFcrProcuredFourHourly",
		"RegelleistungFcrProcuredDaily",
		"RegelleistungAfrrProcured"],
	directions=["Symmetric", "Upward", "Downward"],
	market='Availability',
	metrics=['Volume', 'Price'],
	aggregation_types=['Average', 'Average'],
	granularity='Monthly'
)

print(response_dataframe)
import lcp_delta.flextrack as flextrack
from datetime import datetime as dt
import asyncio

### supported in package version 1.3.0 and later ###

async def main():
    flextrack_api_helper = flextrack.APIHelper(username, public_api_key)

    response_dataframe = await flextrack_api_helper.get_exporter_data_async(
        date_from=dt(2022, 11, 1),
        date_to=dt(2023, 10, 31),
        countries=['Austria'],
        products=["RegelleistungFcrProcuredFourHourly",
            "RegelleistungFcrProcuredDaily",
            "RegelleistungAfrrProcured"],
        directions=["Symmetric", "Upward", "Downward"],
        market='Availability',
        metrics=['Volume', 'Price'],
        aggregation_types=['Average', 'Average'],
        granularity='Monthly'
    )

    print(response_dataframe)

asyncio.run(main())

Using the API Directly

Body Params
Product
array of strings
required
Defaults to RegelleistungFcrProcuredFourHourly

A list of products to request (e.g. "FfrMonthly", "DcDaily", "Stor", "GbBmFastReserve", etc.).

Product*
Direction
array of strings
required
Defaults to Symmetric

The directions to request data for; "Upward", "Downward" or "Symmetric".

Direction*
Metric
array of strings
required
Defaults to Volume,Price

The metric to use; "Price" or "Volume".

Metric*
SummaryMetric
array of strings
required
Defaults to Average,Average

The summary metric to use for each respective metric; "Average", "Min", "Max" or "Total".

SummaryMetric*
string
required
Defaults to Availability

The market; "Availability" or "Utilisation"

Dates
array of objects
required

The dates to request data for (inclusive).

Dates*
Country
array of strings
required
Defaults to Austria

A list of countries to request data for (e.g. "GB", "France", "Netherlands").

Country*
string
required
Defaults to Monthly

The time granularity of the returned data.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json